CHM_PROTO_INPUT_FUNC(3)

PROTO_FUNC
chm_PROTO_input_func - This routine is called when new input occurs on a channel.

SYNOPSIS
#include <karma_chm.h>

flag chm_PROTO_input_func

(Channel channel, void **info)

DESCRIPTION
This routine is called when new input occurs on a channel.

channel
    The channel object.

info
    A pointer to the arbitrary information pointer. This may be modified

RETURN VALUE
TRUE if the channel is to remain managed and open, else FALSE (indicating that the channel is to be unmanaged and closed).

Multi-threading Level
Unsafe.

NOTES
This routine MUST NOT unmanage or close the channel.

The <<close_func>> will be called if this routine returns FALSE.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/